Bug 232729 - graphics/mesa-libs: enable libEGL on sparc64
Summary: graphics/mesa-libs: enable libEGL on sparc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: sparc64 Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords: patch
Depends on:
Blocks: 227509
  Show dependency treegraph
 
Reported: 2018-10-26 18:50 UTC by Jan Beich
Modified: 2018-11-08 20:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)
jbeich: maintainer-feedback? (sparc64)


Attachments
v0 (2.74 KB, patch)
2018-10-26 18:52 UTC, Jan Beich
no flags Details | Diff
v0 (3.79 KB, patch)
2018-10-26 19:00 UTC, Jan Beich
no flags Details | Diff
ultra30_build.log (833.51 KB, text/plain)
2018-11-03 05:18 UTC, Yoshihiko Iwama
no flags Details
mesa-libs_Makefile.diff (996 bytes, patch)
2018-11-03 05:19 UTC, Yoshihiko Iwama
no flags Details | Diff
mesa-libs_pkg-plist.diff (1.14 KB, patch)
2018-11-03 05:20 UTC, Yoshihiko Iwama
no flags Details | Diff
libepoxy_Makefile.diff (512 bytes, patch)
2018-11-03 05:20 UTC, Yoshihiko Iwama
no flags Details | Diff
libepoxy_pkg-plist.diff (370 bytes, patch)
2018-11-03 05:21 UTC, Yoshihiko Iwama
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-10-26 18:50:55 UTC
sparc64 support in ports is already undermaintained, no need to complicate it. libEGL doesn't link against LLVM even if it's available and builds fine without:
- https://ptpb.pw/Aupd (Mesa 18.1.9)
- https://ptpb.pw/79xv (Mesa 18.2.3)
Comment 1 Jan Beich freebsd_committer 2018-10-26 18:52:03 UTC
Created attachment 198676 [details]
v0
Comment 2 Jan Beich freebsd_committer 2018-10-26 18:53:28 UTC
Can someone try to build on sparc64 the port with v0 patch applied?
Comment 3 Jan Beich freebsd_committer 2018-10-26 19:00:18 UTC
Created attachment 198678 [details]
v0

Oops, forgot about libepoxy.
Comment 4 Yoshihiko Iwama 2018-11-03 05:17:26 UTC
I built mesa-libs and libepoxy with 11.2 on Ultra30. There was no problem. The patch and log are as attached.

Should I provide something else?
Comment 5 Yoshihiko Iwama 2018-11-03 05:18:24 UTC
Created attachment 198903 [details]
ultra30_build.log
Comment 6 Yoshihiko Iwama 2018-11-03 05:19:29 UTC
Created attachment 198904 [details]
mesa-libs_Makefile.diff
Comment 7 Yoshihiko Iwama 2018-11-03 05:20:05 UTC
Created attachment 198905 [details]
mesa-libs_pkg-plist.diff
Comment 8 Yoshihiko Iwama 2018-11-03 05:20:39 UTC
Created attachment 198906 [details]
libepoxy_Makefile.diff
Comment 9 Yoshihiko Iwama 2018-11-03 05:21:29 UTC
Created attachment 198907 [details]
libepoxy_pkg-plist.diff
Comment 10 commit-hook freebsd_committer 2018-11-08 20:31:53 UTC
A commit references this bug:

Author: zeising
Date: Thu Nov  8 20:31:09 UTC 2018
New revision: 484475
URL: https://svnweb.freebsd.org/changeset/ports/484475

Log:
  Enable libEGL for all platforms

  Enable libEGL build for all platforms, even those without llvm.  Previously
  it was disabled on those platforms.  This has been tested on sparc64.

  Remove the EGL option completely.

  PR:		232729
  Submitted by:	jbeich
  Tested by:	Yoshihiko Iwama (sparc64 support)

Changes:
  head/graphics/libepoxy/Makefile
  head/graphics/libepoxy/pkg-plist
  head/graphics/mesa-libs/Makefile
  head/graphics/mesa-libs/pkg-plist
Comment 11 Niclas Zeising freebsd_committer 2018-11-08 20:36:32 UTC
Committed, thanks!